WebRTC Code Reviews
Help | Chromium Project | Sign in
(374)

Issue 55379004: Remove VideoEngine interfaces. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 1 month ago by pbos
Modified:
4 years, 1 month ago
Reviewers:
Solis, mflodman, pthatcher
CC:
webrtc-reviews_webrtc.org, interface-changes_webrtc.org, yujie.mao, ajm, henrika_webrtc, Stefan, perkj, tterriberry, qiang.lu, Niklas, mflodman, rwolff_gocast.it, andresp-webrtc
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Remove VideoEngine interfaces. Removes ViE interfaces, _impl.cc files, managers (such as ViEChannelManager and ViEInputManager) as well as ViESharedData. Interfaces necessary to implement observers have been moved to a corresponding header (such as vie_channel.h). BUG=1695, 4491 R=mflodman@webrtc.org, solenberg@webrtc.org TBR=pthatcher@webrtc.org Committed: https://crrev.com/300eeb68f55c5091c7045e377578586733cddf16 Cr-Commit-Position: refs/heads/master@{#9179}

Patch Set 1 #

Patch Set 2 : rebase + remove vie_file.. #

Patch Set 3 : fixed vie_capturer_unittest #

Total comments: 4

Patch Set 4 : more dead-code removal #

Total comments: 10

Patch Set 5 : rebase #

Patch Set 6 : feedback #

Unified diffs Side-by-side diffs Delta from patch set Stats (+201 lines, -24400 lines) Patch
M WATCHLISTS View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M talk/app/webrtc/java/jni/peerconnection_jni.cc View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M talk/libjingle.gyp View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M talk/media/webrtc/fakewebrtcvideoengine.h View 1 2 3 4 5 1 chunk +3 lines, -1 line 0 comments Download
M talk/media/webrtc/fakewebrtcvoiceengine.h View 1 2 3 4 5 1 chunk +0 lines, -3 lines 0 comments Download
D talk/media/webrtc/webrtcvie.h View 1 2 3 4 5 1 chunk +0 lines, -150 lines 0 comments Download
M talk/media/webrtc/webrtcvoiceengine.cc View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M talk/media/webrtc/webrtcvoiceengine_unittest.cc View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M webrtc/engine_configurations.h View 1 2 3 4 5 1 chunk +0 lines, -21 lines 0 comments Download
M webrtc/test/channel_transport/channel_transport.cc View 1 2 3 4 5 2 chunks +0 lines, -54 lines 0 comments Download
M webrtc/test/channel_transport/include/channel_transport.h View 1 2 3 4 5 2 chunks +0 lines, -32 lines 0 comments Download
M webrtc/video/receive_statistics_proxy.h View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M webrtc/video/send_statistics_proxy.h View 1 2 3 4 5 1 chunk +2 lines, -2 lines 0 comments Download
M webrtc/video/video_send_stream.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/video/video_send_stream.cc View 1 2 3 4 5 2 chunks +3 lines, -6 lines 0 comments Download
M webrtc/video_engine/BUILD.gn View 1 2 3 4 5 1 chunk +0 lines, -34 lines 0 comments Download
D webrtc/video_engine/include/vie_base.h View 1 2 3 4 5 1 chunk +0 lines, -281 lines 0 comments Download
D webrtc/video_engine/include/vie_capture.h View 1 2 3 4 5 1 chunk +0 lines, -215 lines 0 comments Download
D webrtc/video_engine/include/vie_codec.h View 1 2 3 4 5 1 chunk +0 lines, -220 lines 0 comments Download
D webrtc/video_engine/include/vie_errors.h View 1 2 3 4 5 1 chunk +0 lines, -111 lines 0 comments Download
D webrtc/video_engine/include/vie_external_codec.h View 1 2 3 4 5 1 chunk +0 lines, -52 lines 0 comments Download
D webrtc/video_engine/include/vie_image_process.h View 1 2 3 4 5 1 chunk +0 lines, -104 lines 0 comments Download
D webrtc/video_engine/include/vie_network.h View 1 2 3 4 5 1 chunk +0 lines, -101 lines 0 comments Download
D webrtc/video_engine/include/vie_render.h View 1 2 3 4 5 1 chunk +0 lines, -123 lines 0 comments Download
D webrtc/video_engine/include/vie_rtp_rtcp.h View 1 2 3 4 5 1 chunk +0 lines, -469 lines 0 comments Download
M webrtc/video_engine/overuse_frame_detector.h View 1 2 3 4 5 1 chunk +103 lines, -2 lines 0 comments Download
M webrtc/video_engine/overuse_frame_detector_unittest.cc View 1 2 3 4 5 1 chunk +2 lines, -2 lines 0 comments Download
D webrtc/video_engine/test/auto_test/OWNERS View 1 2 3 4 5 1 chunk +0 lines, -6 lines 0 comments Download
D webrtc/video_engine/test/auto_test/android/.classpath View 1 2 3 4 5 1 chunk +0 lines, -9 lines 0 comments Download
D webrtc/video_engine/test/auto_test/android/.project View 1 2 3 4 5 1 chunk +0 lines, -33 lines 0 comments Download
D webrtc/video_engine/test/auto_test/android/AndroidManifest.xml View 1 2 3 4 5 1 chunk +0 lines, -26 lines 0 comments Download
D webrtc/video_engine/test/auto_test/android/default.properties View 1 2 3 4 5 1 chunk +0 lines, -11 lines 0 comments Download
D webrtc/video_engine/test/auto_test/android/gen/org/webrtc/vieautotest/R.java View 1 2 3 4 5 1 chunk +0 lines, -37 lines 0 comments Download
D webrtc/video_engine/test/auto_test/android/jni/org_webrtc_vieautotest_vie_autotest.h View 1 2 3 4 5 1 chunk +0 lines, -34 lines 0 comments Download
D webrtc/video_engine/test/auto_test/android/jni/vie_autotest_jni.cc View 1 2 3 4 5 1 chunk +0 lines, -137 lines 0 comments Download
D webrtc/video_engine/test/auto_test/android/res/drawable/logo.png View 1 2 3 4 5 Binary file 0 comments Download
D webrtc/video_engine/test/auto_test/android/res/layout/main.xml View 1 2 3 4 5 1 chunk +0 lines, -64 lines 0 comments Download
D webrtc/video_engine/test/auto_test/android/res/values/strings.xml View 1 2 3 4 5 1 chunk +0 lines, -30 lines 0 comments Download
D webrtc/video_engine/test/auto_test/android/src/org/webrtc/vieautotest/ViEAutotest.java View 1 2 3 4 5 1 chunk +0 lines, -162 lines 0 comments Download
D webrtc/video_engine/test/auto_test/automated/legacy_fixture.h View 1 2 3 4 5 1 chunk +0 lines, -29 lines 0 comments Download
D webrtc/video_engine/test/auto_test/automated/legacy_fixture.cc View 1 2 3 4 5 1 chunk +0 lines, -28 lines 0 comments Download
D webrtc/video_engine/test/auto_test/automated/two_windows_fixture.h View 1 2 3 4 5 1 chunk +0 lines, -35 lines 0 comments Download
D webrtc/video_engine/test/auto_test/automated/two_windows_fixture.cc View 1 2 3 4 5 1 chunk +0 lines, -33 lines 0 comments Download
D webrtc/video_engine/test/auto_test/automated/vie_api_integration_test.cc View 1 2 3 4 5 1 chunk +0 lines, -52 lines 0 comments Download
D webrtc/video_engine/test/auto_test/automated/vie_extended_integration_test.cc View 1 2 3 4 5 1 chunk +0 lines, -55 lines 0 comments Download
D webrtc/video_engine/test/auto_test/automated/vie_network_test.cc View 1 2 3 4 5 1 chunk +0 lines, -228 lines 0 comments Download
D webrtc/video_engine/test/auto_test/automated/vie_standard_integration_test.cc View 1 2 3 4 5 1 chunk +0 lines, -59 lines 0 comments Download
D webrtc/video_engine/test/auto_test/automated/vie_video_verification_test.cc View 1 2 3 4 5 1 chunk +0 lines, -155 lines 0 comments Download
D webrtc/video_engine/test/auto_test/interface/vie_autotest.h View 1 2 3 4 5 1 chunk +0 lines, -130 lines 0 comments Download
D webrtc/video_engine/test/auto_test/interface/vie_autotest_android.h View 1 2 3 4 5 1 chunk +0 lines, -27 lines 0 comments Download
D webrtc/video_engine/test/auto_test/interface/vie_autotest_defines.h View 1 2 3 4 5 1 chunk +0 lines, -195 lines 0 comments Download
D webrtc/video_engine/test/auto_test/interface/vie_autotest_linux.h View 1 2 3 4 5 1 chunk +0 lines, -46 lines 0 comments Download
D webrtc/video_engine/test/auto_test/interface/vie_autotest_mac_cocoa.h View 1 2 3 4 5 1 chunk +0 lines, -70 lines 0 comments Download
D webrtc/video_engine/test/auto_test/interface/vie_autotest_main.h View 1 2 3 4 5 1 chunk +0 lines, -49 lines 0 comments Download
D webrtc/video_engine/test/auto_test/interface/vie_autotest_window_manager_interface.h View 1 2 3 4 5 1 chunk +0 lines, -33 lines 0 comments Download
D webrtc/video_engine/test/auto_test/interface/vie_autotest_windows.h View 1 2 3 4 5 1 chunk +0 lines, -64 lines 0 comments Download
D webrtc/video_engine/test/auto_test/interface/vie_file_based_comparison_tests.h View 1 2 3 4 5 1 chunk +0 lines, -61 lines 0 comments Download
D webrtc/video_engine/test/auto_test/interface/vie_window_creator.h View 1 2 3 4 5 1 chunk +0 lines, -32 lines 0 comments Download
D webrtc/video_engine/test/auto_test/interface/vie_window_manager_factory.h View 1 2 3 4 5 1 chunk +0 lines, -25 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/base_primitives.h View 1 2 3 4 5 1 chunk +0 lines, -34 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/base_primitives.cc View 1 2 3 4 5 1 chunk +0 lines, -76 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/choice_helpers.h View 1 2 3 4 5 1 chunk +0 lines, -71 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/choice_helpers.cc View 1 2 3 4 5 1 chunk +0 lines, -74 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/choice_helpers_unittest.cc View 1 2 3 4 5 1 chunk +0 lines, -95 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/fake_stdin.h View 1 2 3 4 5 1 chunk +0 lines, -26 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/fake_stdin.cc View 1 2 3 4 5 1 chunk +0 lines, -25 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/framedrop_primitives.h View 1 2 3 4 5 1 chunk +0 lines, -242 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/framedrop_primitives.cc View 1 2 3 4 5 1 chunk +0 lines, -628 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/framedrop_primitives_unittest.cc View 1 2 3 4 5 1 chunk +0 lines, -97 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/general_primitives.h View 1 2 3 4 5 1 chunk +0 lines, -88 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/general_primitives.cc View 1 2 3 4 5 1 chunk +0 lines, -143 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/input_helpers.h View 1 2 3 4 5 1 chunk +0 lines, -116 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/input_helpers.cc View 1 2 3 4 5 1 chunk +0 lines, -172 lines 0 comments Download
D webrtc/video_engine/test/auto_test/primitives/input_helpers_unittest.cc View 1 2 3 4 5 1 chunk +0 lines, -80 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest.cc View 1 2 3 4 5 1 chunk +0 lines, -162 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_android.cc View 1 2 3 4 5 1 chunk +0 lines, -176 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_base.cc View 1 2 3 4 5 1 chunk +0 lines, -237 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_capture.cc View 1 2 3 4 5 1 chunk +0 lines, -542 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_cocoa_mac.mm View 1 2 3 4 5 1 chunk +0 lines, -140 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_codec.cc View 1 2 3 4 5 1 chunk +0 lines, -830 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_custom_call.cc View 1 2 3 4 5 1 chunk +0 lines, -1698 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_image_process.cc View 1 2 3 4 5 1 chunk +0 lines, -232 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_linux.cc View 1 2 3 4 5 1 chunk +0 lines, -142 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_loopback.cc View 1 2 3 4 5 1 chunk +0 lines, -763 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_main.cc View 1 2 3 4 5 1 chunk +0 lines, -212 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_network.cc View 1 2 3 4 5 1 chunk +0 lines, -535 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_record.cc View 1 2 3 4 5 1 chunk +0 lines, -597 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_render.cc View 1 2 3 4 5 1 chunk +0 lines, -312 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_rtp_rtcp.cc View 1 2 3 4 5 1 chunk +0 lines, -919 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_simulcast.cc View 1 2 3 4 5 1 chunk +0 lines, -642 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_autotest_win.cc View 1 2 3 4 5 1 chunk +0 lines, -204 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_file_based_comparison_tests.cc View 1 2 3 4 5 1 chunk +0 lines, -125 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_window_creator.cc View 1 2 3 4 5 1 chunk +0 lines, -55 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_window_manager_factory_linux.cc View 1 2 3 4 5 1 chunk +0 lines, -18 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_window_manager_factory_mac.mm View 1 2 3 4 5 1 chunk +0 lines, -21 lines 0 comments Download
D webrtc/video_engine/test/auto_test/source/vie_window_manager_factory_win.cc View 1 2 3 4 5 1 chunk +0 lines, -17 lines 0 comments Download
D webrtc/video_engine/test/auto_test/vie_auto_test.gypi View 1 2 3 4 5 1 chunk +0 lines, -149 lines 0 comments Download
D webrtc/video_engine/test/auto_test/vie_auto_test.isolate View 1 2 3 4 5 1 chunk +0 lines, -24 lines 0 comments Download
D webrtc/video_engine/test/libvietest/OWNERS View 1 2 3 4 5 1 chunk +0 lines, -5 lines 0 comments Download
D webrtc/video_engine/test/libvietest/helpers/vie_fake_camera.cc View 1 2 3 4 5 1 chunk +0 lines, -85 lines 0 comments Download
D webrtc/video_engine/test/libvietest/helpers/vie_file_capture_device.cc View 1 2 3 4 5 1 chunk +0 lines, -106 lines 0 comments Download
D webrtc/video_engine/test/libvietest/helpers/vie_to_file_renderer.cc View 1 2 3 4 5 1 chunk +0 lines, -204 lines 0 comments Download
D webrtc/video_engine/test/libvietest/include/tb_I420_codec.h View 1 2 3 4 5 1 chunk +0 lines, -119 lines 0 comments Download
D webrtc/video_engine/test/libvietest/include/tb_capture_device.h View 1 2 3 4 5 1 chunk +0 lines, -37 lines 0 comments Download
D webrtc/video_engine/test/libvietest/include/tb_external_transport.h View 1 2 3 4 5 1 chunk +0 lines, -194 lines 0 comments Download
D webrtc/video_engine/test/libvietest/include/tb_interfaces.h View 1 2 3 4 5 1 chunk +0 lines, -54 lines 0 comments Download
D webrtc/video_engine/test/libvietest/include/tb_video_channel.h View 1 2 3 4 5 1 chunk +0 lines, -51 lines 0 comments Download
D webrtc/video_engine/test/libvietest/include/vie_external_render_filter.h View 1 2 3 4 5 1 chunk +0 lines, -54 lines 0 comments Download
D webrtc/video_engine/test/libvietest/include/vie_fake_camera.h View 1 2 3 4 5 1 chunk +0 lines, -50 lines 0 comments Download
D webrtc/video_engine/test/libvietest/include/vie_file_capture_device.h View 1 2 3 4 5 1 chunk +0 lines, -57 lines 0 comments Download
D webrtc/video_engine/test/libvietest/include/vie_to_file_renderer.h View 1 2 3 4 5 1 chunk +0 lines, -94 lines 0 comments Download
D webrtc/video_engine/test/libvietest/libvietest.gypi View 1 2 3 4 5 1 chunk +0 lines, -50 lines 0 comments Download
D webrtc/video_engine/test/libvietest/testbed/tb_I420_codec.cc View 1 2 3 4 5 1 chunk +0 lines, -271 lines 0 comments Download
D webrtc/video_engine/test/libvietest/testbed/tb_capture_device.cc View 1 2 3 4 5 1 chunk +0 lines, -85 lines 0 comments Download
D webrtc/video_engine/test/libvietest/testbed/tb_external_transport.cc View 1 2 3 4 5 1 chunk +0 lines, -577 lines 0 comments Download
D webrtc/video_engine/test/libvietest/testbed/tb_interfaces.cc View 1 2 3 4 5 1 chunk +0 lines, -79 lines 0 comments Download
D webrtc/video_engine/test/libvietest/testbed/tb_video_channel.cc View 1 2 3 4 5 1 chunk +0 lines, -83 lines 0 comments Download
M webrtc/video_engine/video_engine.gyp View 1 2 3 4 5 1 chunk +0 lines, -9 lines 0 comments Download
M webrtc/video_engine/video_engine_core.gypi View 1 2 3 4 5 2 chunks +0 lines, -34 lines 0 comments Download
D webrtc/video_engine/vie_base_impl.h View 1 2 3 4 5 1 chunk +0 lines, -92 lines 0 comments Download
D webrtc/video_engine/vie_base_impl.cc View 1 2 3 4 5 1 chunk +0 lines, -433 lines 0 comments Download
D webrtc/video_engine/vie_capture_impl.h View 1 2 3 4 5 1 chunk +0 lines, -81 lines 0 comments Download
D webrtc/video_engine/vie_capture_impl.cc View 1 2 3 4 5 1 chunk +0 lines, -422 lines 0 comments Download
M webrtc/video_engine/vie_capturer.h View 1 2 3 4 5 4 chunks +11 lines, -105 lines 0 comments Download
M webrtc/video_engine/vie_capturer.cc View 1 2 3 4 5 8 chunks +9 lines, -420 lines 0 comments Download
M webrtc/video_engine/vie_capturer_unittest.cc View 1 2 3 4 5 2 chunks +5 lines, -20 lines 0 comments Download
M webrtc/video_engine/vie_channel.h View 1 2 3 4 5 7 chunks +39 lines, -10 lines 0 comments Download
M webrtc/video_engine/vie_channel.cc View 1 2 3 4 5 11 chunks +2 lines, -61 lines 0 comments Download
D webrtc/video_engine/vie_channel_manager.h View 1 2 3 4 5 1 chunk +0 lines, -158 lines 0 comments Download
D webrtc/video_engine/vie_channel_manager.cc View 1 2 3 4 5 1 chunk +0 lines, -415 lines 0 comments Download
D webrtc/video_engine/vie_codec_impl.h View 1 2 3 4 5 1 chunk +0 lines, -90 lines 0 comments Download
D webrtc/video_engine/vie_codec_impl.cc View 1 2 3 4 5 1 chunk +0 lines, -687 lines 0 comments Download
M webrtc/video_engine/vie_encoder.h View 1 2 3 4 5 3 chunks +20 lines, -4 lines 0 comments Download
M webrtc/video_engine/vie_encoder.cc View 1 2 3 4 5 4 chunks +0 lines, -29 lines 0 comments Download
D webrtc/video_engine/vie_external_codec_impl.h View 1 2 3 4 5 1 chunk +0 lines, -51 lines 0 comments Download
D webrtc/video_engine/vie_external_codec_impl.cc View 1 2 3 4 5 1 chunk +0 lines, -145 lines 0 comments Download
D webrtc/video_engine/vie_file_image.h View 1 2 3 4 5 1 chunk +0 lines, -32 lines 0 comments Download
D webrtc/video_engine/vie_file_image.cc View 1 2 3 4 5 1 chunk +0 lines, -83 lines 0 comments Download
D webrtc/video_engine/vie_image_process_impl.h View 1 2 3 4 5 1 chunk +0 lines, -50 lines 0 comments Download
D webrtc/video_engine/vie_image_process_impl.cc View 1 2 3 4 5 1 chunk +0 lines, -206 lines 0 comments Download
D webrtc/video_engine/vie_impl.h View 1 2 3 4 5 1 chunk +0 lines, -108 lines 0 comments Download
D webrtc/video_engine/vie_impl.cc View 1 2 3 4 5 1 chunk +0 lines, -137 lines 0 comments Download
D webrtc/video_engine/vie_input_manager.h View 1 2 3 4 5 1 chunk +0 lines, -127 lines 0 comments Download
D webrtc/video_engine/vie_input_manager.cc View 1 2 3 4 5 1 chunk +0 lines, -368 lines 0 comments Download
D webrtc/video_engine/vie_manager_base.h View 1 2 3 4 5 1 chunk +0 lines, -78 lines 0 comments Download
D webrtc/video_engine/vie_manager_base.cc View 1 2 3 4 5 1 chunk +0 lines, -72 lines 0 comments Download
D webrtc/video_engine/vie_network_impl.h View 1 2 3 4 5 1 chunk +0 lines, -61 lines 0 comments Download
D webrtc/video_engine/vie_network_impl.cc View 1 2 3 4 5 1 chunk +0 lines, -181 lines 0 comments Download
M webrtc/video_engine/vie_receiver.h View 1 2 3 4 5 2 chunks +0 lines, -4 lines 0 comments Download
M webrtc/video_engine/vie_receiver.cc View 1 2 3 4 5 1 chunk +0 lines, -11 lines 0 comments Download
D webrtc/video_engine/vie_ref_count.h View 1 2 3 4 5 1 chunk +0 lines, -40 lines 0 comments Download
D webrtc/video_engine/vie_ref_count.cc View 1 2 3 4 5 1 chunk +0 lines, -46 lines 0 comments Download
D webrtc/video_engine/vie_render_impl.h View 1 2 3 4 5 1 chunk +0 lines, -56 lines 0 comments Download
D webrtc/video_engine/vie_render_impl.cc View 1 2 3 4 5 1 chunk +0 lines, -309 lines 0 comments Download
D webrtc/video_engine/vie_render_manager.h View 1 2 3 4 5 1 chunk +0 lines, -76 lines 0 comments Download
D webrtc/video_engine/vie_render_manager.cc View 1 2 3 4 5 1 chunk +0 lines, -187 lines 0 comments Download
D webrtc/video_engine/vie_renderer.h View 1 2 3 4 5 1 chunk +0 lines, -117 lines 0 comments Download
D webrtc/video_engine/vie_renderer.cc View 1 2 3 4 5 1 chunk +0 lines, -253 lines 0 comments Download
D webrtc/video_engine/vie_rtp_rtcp_impl.h View 1 2 3 4 5 1 chunk +0 lines, -181 lines 0 comments Download
D webrtc/video_engine/vie_rtp_rtcp_impl.cc View 1 2 3 4 5 1 chunk +0 lines, -1075 lines 0 comments Download
D webrtc/video_engine/vie_shared_data.h View 1 2 3 4 5 1 chunk +0 lines, -65 lines 0 comments Download
D webrtc/video_engine/vie_shared_data.cc View 1 2 3 4 5 1 chunk +0 lines, -59 lines 0 comments Download
M webrtc/voice_engine/channel.h View 1 2 3 4 5 3 chunks +0 lines, -5 lines 0 comments Download
M webrtc/voice_engine/channel.cc View 1 2 3 4 5 5 chunks +0 lines, -38 lines 0 comments Download
M webrtc/voice_engine/include/voe_rtp_rtcp.h View 1 2 3 4 5 2 chunks +0 lines, -10 lines 0 comments Download
M webrtc/voice_engine/test/auto_test/standard/rtp_rtcp_extensions.cc View 1 2 3 4 5 2 chunks +0 lines, -154 lines 0 comments Download
M webrtc/voice_engine/voe_rtp_rtcp_impl.h View 1 2 3 4 5 1 chunk +0 lines, -4 lines 0 comments Download
M webrtc/voice_engine/voe_rtp_rtcp_impl.cc View 1 2 3 4 5 2 chunks +0 lines, -23 lines 0 comments Download
Trybot results:
Project "webrtc" does not have a commit queue.

Messages

Total messages: 16 (2 generated)
pbos
rebase + remove vie_file..
4 years, 1 month ago (2015-05-11 09:06:31 UTC) #1
pbos
fixed vie_capturer_unittest
4 years, 1 month ago (2015-05-11 09:18:47 UTC) #2
pbos
PTAL, mflodman@ for anything video and solenberg@ for anything voice (primarily because this touches AV ...
4 years, 1 month ago (2015-05-11 09:33:44 UTC) #4
Solis
On 2015/05/11 09:33:44, pbos wrote: > PTAL, mflodman@ for anything video and solenberg@ for anything ...
4 years, 1 month ago (2015-05-11 14:55:39 UTC) #5
Solis
https://review.webrtc.org/55379004/diff/20001/webrtc/video_engine/video_engine_core.gypi File webrtc/video_engine/video_engine_core.gypi (left): https://review.webrtc.org/55379004/diff/20001/webrtc/video_engine/video_engine_core.gypi#oldcode64 webrtc/video_engine/video_engine_core.gypi:64: 'vie_ref_count.h', vie_ref_count can go as well? https://review.webrtc.org/55379004/diff/20001/webrtc/video_engine/video_engine_core.gypi#oldcode98 webrtc/video_engine/video_engine_core.gypi:98: 'vie_ref_count.cc', ...
4 years, 1 month ago (2015-05-11 14:56:23 UTC) #6
pbos
more dead-code removal
4 years, 1 month ago (2015-05-11 15:43:36 UTC) #7
pbos
Thanks, PTAL. https://review.webrtc.org/55379004/diff/20001/webrtc/video_engine/vie_channel.h File webrtc/video_engine/vie_channel.h (left): https://review.webrtc.org/55379004/diff/20001/webrtc/video_engine/vie_channel.h#oldcode375 webrtc/video_engine/vie_channel.h:375: void ReceivedBWEPacket(int64_t arrival_time_ms, size_t payload_size, On 2015/05/11 ...
4 years, 1 month ago (2015-05-11 15:43:55 UTC) #8
Solis
On 2015/05/11 15:43:55, pbos wrote: > Thanks, PTAL. > > https://review.webrtc.org/55379004/diff/20001/webrtc/video_engine/vie_channel.h > File webrtc/video_engine/vie_channel.h (left): ...
4 years, 1 month ago (2015-05-12 13:04:27 UTC) #9
mflodman
A few comments, LGTM with these addressed. https://review.webrtc.org/55379004/diff/30001/talk/media/webrtc/fakewebrtcvideoengine.h File talk/media/webrtc/fakewebrtcvideoengine.h (right): https://review.webrtc.org/55379004/diff/30001/talk/media/webrtc/fakewebrtcvideoengine.h#newcode44 talk/media/webrtc/fakewebrtcvideoengine.h:44: #include "webrtc/modules/video_coding/codecs/interface/video_error_codes.h" ...
4 years, 1 month ago (2015-05-12 14:25:16 UTC) #10
pbos
rebase
4 years, 1 month ago (2015-05-12 14:45:27 UTC) #11
pbos
feedback
4 years, 1 month ago (2015-05-12 14:48:13 UTC) #12
pbos
TBR=pthatcher@ for talk/app: Missing LGTM from an OWNER for these files: talk/app/webrtc/java/jni/peerconnection_jni.cc $ git diff ...
4 years, 1 month ago (2015-05-12 14:51:03 UTC) #14
pbos
Committed patchset #6 (id:50001) manually as 300eeb68f55c5091c7045e377578586733cddf16 (presubmit successful).
4 years, 1 month ago (2015-05-12 14:51:26 UTC) #15
commit-bot
4 years, 1 month ago (2015-05-12 14:51:32 UTC) #16
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/300eeb68f55c5091c7045e377578586733cddf16
Cr-Commit-Position: refs/heads/master@{#9179}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 245c2c2-tainted